//! Musixmatch API models

pub(crate) mod subtitle;
pub use subtitle::Subtitle;
pub use subtitle::SubtitleFormat;
pub use subtitle::SubtitleLine;
pub use subtitle::SubtitleLines;
pub use subtitle::SubtitleTime;

mod id;
pub use id::AlbumId;
pub use id::ArtistId;
pub use id::SortOrder;
pub use id::TrackId;

pub(crate) mod lyrics;
pub use lyrics::Lyrics;

pub(crate) mod translation;
pub use translation::Translation;
pub use translation::TranslationList;
pub use translation::TranslationMap;

pub(crate) mod track;
pub use track::ChartName;
pub use track::Track;
pub use track::TrackLyricsTranslationStatus;

mod genre;
pub use genre::Genre;
pub use genre::GenreInner;
pub use genre::Genres;

pub(crate) mod artist;
pub use artist::Artist;
pub use artist::ArtistAlias;
pub use artist::ArtistNameTranslation;
pub use artist::ArtistNameTranslationInner;

pub(crate) mod album;
pub use album::Album;
pub use album::AlbumType;

pub(crate) mod snippet;
pub use snippet::Snippet;
